// Code generated by protoc-gen-go. DO NOT EDIT.
// source: types.proto

/*
Package types is a generated protocol buffer package.

It is generated from these files:
	types.proto

It has these top-level messages:
	ListRetainedMessageResponse
	CreateRetainedMessageRequest
	CreateRetainedMessageResponse
	RetainedMessageSelector
	MutatedRetainedMessage
	RetainedMessage
	StoreDump
*/
package types

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import grpc_health_v1 "google.golang.org/grpc/health/grpc_health_v1"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ListRetainedMessageResponse struct {
	Messages []*RetainedMessage `protobuf:"bytes,1,rep,name=Messages" json:"Messages,omitempty"`
}

func (m *ListRetainedMessageResponse) Reset()                    { *m = ListRetainedMessageResponse{} }
func (m *ListRetainedMessageResponse) String() string            { return proto.CompactTextString(m) }
func (*ListRetainedMessageResponse) ProtoMessage()               {}
func (*ListRetainedMessageResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ListRetainedMessageResponse) GetMessages() []*RetainedMessage {
	if m != nil {
		return m.Messages
	}
	return nil
}

type CreateRetainedMessageRequest struct {
	Tenant  string `protobuf:"bytes,2,opt,name=tenant" json:"tenant,omitempty"`
	Topic   []byte `protobuf:"bytes,3,opt,name=topic,proto3" json:"topic,omitempty"`
	Payload []byte `protobuf:"bytes,4,opt,name=payload,proto3" json:"payload,omitempty"`
	Qos     int32  `protobuf:"varint,5,opt,name=qos" json:"qos,omitempty"`
}

func (m *CreateRetainedMessageRequest) Reset()                    { *m = CreateRetainedMessageRequest{} }
func (m *CreateRetainedMessageRequest) String() string            { return proto.CompactTextString(m) }
func (*CreateRetainedMessageRequest) ProtoMessage()               {}
func (*CreateRetainedMessageRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *CreateRetainedMessageRequest) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *CreateRetainedMessageRequest) GetTopic() []byte {
	if m != nil {
		return m.Topic
	}
	return nil
}

func (m *CreateRetainedMessageRequest) GetPayload() []byte {
	if m != nil {
		return m.Payload
	}
	return nil
}

func (m *CreateRetainedMessageRequest) GetQos() int32 {
	if m != nil {
		return m.Qos
	}
	return 0
}

type CreateRetainedMessageResponse struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *CreateRetainedMessageResponse) Reset()                    { *m = CreateRetainedMessageResponse{} }
func (m *CreateRetainedMessageResponse) String() string            { return proto.CompactTextString(m) }
func (*CreateRetainedMessageResponse) ProtoMessage()               {}
func (*CreateRetainedMessageResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *CreateRetainedMessageResponse) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type RetainedMessageSelector struct {
	Id     string   `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	IdIn   []string `protobuf:"bytes,2,rep,name=idIn" json:"idIn,omitempty"`
	Tenant string   `protobuf:"bytes,3,opt,name=tenant" json:"tenant,omitempty"`
	Topic  []byte   `protobuf:"bytes,4,opt,name=topic,proto3" json:"topic,omitempty"`
}

func (m *RetainedMessageSelector) Reset()                    { *m = RetainedMessageSelector{} }
func (m *RetainedMessageSelector) String() string            { return proto.CompactTextString(m) }
func (*RetainedMessageSelector) ProtoMessage()               {}
func (*RetainedMessageSelector) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *RetainedMessageSelector) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RetainedMessageSelector) GetIdIn() []string {
	if m != nil {
		return m.IdIn
	}
	return nil
}

func (m *RetainedMessageSelector) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *RetainedMessageSelector) GetTopic() []byte {
	if m != nil {
		return m.Topic
	}
	return nil
}

type MutatedRetainedMessage struct {
	Tenant  string   `protobuf:"bytes,1,opt,name=tenant" json:"tenant,omitempty"`
	Created []string `protobuf:"bytes,2,rep,name=created" json:"created,omitempty"`
	Updated []string `protobuf:"bytes,3,rep,name=updated" json:"updated,omitempty"`
	Deleted []string `protobuf:"bytes,4,rep,name=deleted" json:"deleted,omitempty"`
}

func (m *MutatedRetainedMessage) Reset()                    { *m = MutatedRetainedMessage{} }
func (m *MutatedRetainedMessage) String() string            { return proto.CompactTextString(m) }
func (*MutatedRetainedMessage) ProtoMessage()               {}
func (*MutatedRetainedMessage) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *MutatedRetainedMessage) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *MutatedRetainedMessage) GetCreated() []string {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *MutatedRetainedMessage) GetUpdated() []string {
	if m != nil {
		return m.Updated
	}
	return nil
}

func (m *MutatedRetainedMessage) GetDeleted() []string {
	if m != nil {
		return m.Deleted
	}
	return nil
}

type RetainedMessage struct {
	Id      string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	Tenant  string `protobuf:"bytes,2,opt,name=tenant" json:"tenant,omitempty"`
	Topic   []byte `protobuf:"bytes,3,opt,name=topic,proto3" json:"topic,omitempty"`
	Payload []byte `protobuf:"bytes,4,opt,name=payload,proto3" json:"payload,omitempty"`
	Qos     int32  `protobuf:"varint,5,opt,name=qos" json:"qos,omitempty"`
}

func (m *RetainedMessage) Reset()                    { *m = RetainedMessage{} }
func (m *RetainedMessage) String() string            { return proto.CompactTextString(m) }
func (*RetainedMessage) ProtoMessage()               {}
func (*RetainedMessage) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *RetainedMessage) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RetainedMessage) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *RetainedMessage) GetTopic() []byte {
	if m != nil {
		return m.Topic
	}
	return nil
}

func (m *RetainedMessage) GetPayload() []byte {
	if m != nil {
		return m.Payload
	}
	return nil
}

func (m *RetainedMessage) GetQos() int32 {
	if m != nil {
		return m.Qos
	}
	return 0
}

type StoreDump struct {
	Messages []*RetainedMessage `protobuf:"bytes,1,rep,name=messages" json:"messages,omitempty"`
}

func (m *StoreDump) Reset()                    { *m = StoreDump{} }
func (m *StoreDump) String() string            { return proto.CompactTextString(m) }
func (*StoreDump) ProtoMessage()               {}
func (*StoreDump) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *StoreDump) GetMessages() []*RetainedMessage {
	if m != nil {
		return m.Messages
	}
	return nil
}

func init() {
	proto.RegisterType((*ListRetainedMessageResponse)(nil), "ListRetainedMessageResponse")
	proto.RegisterType((*CreateRetainedMessageRequest)(nil), "CreateRetainedMessageRequest")
	proto.RegisterType((*CreateRetainedMessageResponse)(nil), "CreateRetainedMessageResponse")
	proto.RegisterType((*RetainedMessageSelector)(nil), "RetainedMessageSelector")
	proto.RegisterType((*MutatedRetainedMessage)(nil), "MutatedRetainedMessage")
	proto.RegisterType((*RetainedMessage)(nil), "RetainedMessage")
	proto.RegisterType((*StoreDump)(nil), "StoreDump")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for TopicsService service

type TopicsServiceClient interface {
	Create(ctx context.Context, in *CreateRetainedMessageRequest, opts ...grpc.CallOption) (*CreateRetainedMessageResponse, error)
	Get(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*RetainedMessage, error)
	List(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*ListRetainedMessageResponse, error)
	Delete(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*MutatedRetainedMessage, error)
	Check(ctx context.Context, in *grpc_health_v1.HealthCheckRequest, opts ...grpc.CallOption) (*grpc_health_v1.HealthCheckResponse, error)
}

type topicsServiceClient struct {
	cc *grpc.ClientConn
}

func NewTopicsServiceClient(cc *grpc.ClientConn) TopicsServiceClient {
	return &topicsServiceClient{cc}
}

func (c *topicsServiceClient) Create(ctx context.Context, in *CreateRetainedMessageRequest, opts ...grpc.CallOption) (*CreateRetainedMessageResponse, error) {
	out := new(CreateRetainedMessageResponse)
	err := grpc.Invoke(ctx, "/TopicsService/Create", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *topicsServiceClient) Get(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*RetainedMessage, error) {
	out := new(RetainedMessage)
	err := grpc.Invoke(ctx, "/TopicsService/Get", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *topicsServiceClient) List(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*ListRetainedMessageResponse, error) {
	out := new(ListRetainedMessageResponse)
	err := grpc.Invoke(ctx, "/TopicsService/List", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *topicsServiceClient) Delete(ctx context.Context, in *RetainedMessageSelector, opts ...grpc.CallOption) (*MutatedRetainedMessage, error) {
	out := new(MutatedRetainedMessage)
	err := grpc.Invoke(ctx, "/TopicsService/Delete", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *topicsServiceClient) Check(ctx context.Context, in *grpc_health_v1.HealthCheckRequest, opts ...grpc.CallOption) (*grpc_health_v1.HealthCheckResponse, error) {
	out := new(grpc_health_v1.HealthCheckResponse)
	err := grpc.Invoke(ctx, "/TopicsService/Check", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for TopicsService service

type TopicsServiceServer interface {
	Create(context.Context, *CreateRetainedMessageRequest) (*CreateRetainedMessageResponse, error)
	Get(context.Context, *RetainedMessageSelector) (*RetainedMessage, error)
	List(context.Context, *RetainedMessageSelector) (*ListRetainedMessageResponse, error)
	Delete(context.Context, *RetainedMessageSelector) (*MutatedRetainedMessage, error)
	Check(context.Context, *grpc_health_v1.HealthCheckRequest) (*grpc_health_v1.HealthCheckResponse, error)
}

func RegisterTopicsServiceServer(s *grpc.Server, srv TopicsServiceServer) {
	s.RegisterService(&_TopicsService_serviceDesc, srv)
}

func _TopicsService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRetainedMessageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TopicsServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/TopicsService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TopicsServiceServer).Create(ctx, req.(*CreateRetainedMessageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TopicsService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RetainedMessageSelector)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TopicsServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/TopicsService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TopicsServiceServer).Get(ctx, req.(*RetainedMessageSelector))
	}
	return interceptor(ctx, in, info, handler)
}

func _TopicsService_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RetainedMessageSelector)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TopicsServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/TopicsService/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TopicsServiceServer).List(ctx, req.(*RetainedMessageSelector))
	}
	return interceptor(ctx, in, info, handler)
}

func _TopicsService_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RetainedMessageSelector)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TopicsServiceServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/TopicsService/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TopicsServiceServer).Delete(ctx, req.(*RetainedMessageSelector))
	}
	return interceptor(ctx, in, info, handler)
}

func _TopicsService_Check_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(grpc_health_v1.HealthCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TopicsServiceServer).Check(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/TopicsService/Check",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TopicsServiceServer).Check(ctx, req.(*grpc_health_v1.HealthCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _TopicsService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "TopicsService",
	HandlerType: (*TopicsServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _TopicsService_Create_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _TopicsService_Get_Handler,
		},
		{
			MethodName: "List",
			Handler:    _TopicsService_List_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _TopicsService_Delete_Handler,
		},
		{
			MethodName: "Check",
			Handler:    _TopicsService_Check_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "types.proto",
}

func init() { proto.RegisterFile("types.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 448 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x54, 0x5d, 0x6b, 0xdb, 0x30,
	0x14, 0xc5, 0x1f, 0x49, 0x97, 0xdb, 0x7d, 0x14, 0x31, 0x5a, 0x91, 0xb5, 0xc3, 0x78, 0x2f, 0x7e,
	0x18, 0x0a, 0xe9, 0x9e, 0xca, 0x60, 0x2f, 0x2d, 0x74, 0x63, 0x2b, 0x0c, 0x67, 0xef, 0x45, 0xb3,
	0x2e, 0x8e, 0xa9, 0x6b, 0xa9, 0x96, 0x12, 0x56, 0x06, 0xfb, 0xa1, 0xfb, 0x35, 0x43, 0xb2, 0x32,
	0x32, 0x77, 0xf1, 0x9e, 0xf6, 0x76, 0xaf, 0xce, 0xf1, 0x3d, 0x3a, 0xe8, 0x5c, 0xc3, 0xbe, 0xb9,
	0x57, 0xa8, 0x99, 0x6a, 0xa5, 0x91, 0xd3, 0xb3, 0x52, 0xca, 0xb2, 0x46, 0x56, 0xca, 0x9a, 0x37,
	0x25, 0x93, 0x6d, 0x39, 0x2b, 0x5b, 0x55, 0xcc, 0x96, 0xc8, 0x6b, 0xb3, 0x74, 0xf5, 0x75, 0x57,
	0x5f, 0xaf, 0xe7, 0xfe, 0xb4, 0xfb, 0x34, 0xfd, 0x08, 0x2f, 0x3e, 0x55, 0xda, 0xe4, 0x68, 0x78,
	0xd5, 0xa0, 0xb8, 0x42, 0xad, 0x79, 0x89, 0x39, 0x6a, 0x25, 0x1b, 0x8d, 0xe4, 0x35, 0x3c, 0xf2,
	0x47, 0x9a, 0x06, 0x49, 0x94, 0xed, 0x9f, 0x1e, 0xb0, 0x3e, 0xf7, 0x37, 0x23, 0xfd, 0x06, 0xc7,
	0xe7, 0x2d, 0x72, 0x83, 0x0f, 0xc6, 0xdd, 0xad, 0x50, 0x1b, 0x72, 0x08, 0x63, 0x83, 0x0d, 0x6f,
	0x0c, 0x0d, 0x93, 0x20, 0x9b, 0xe4, 0xbe, 0x23, 0xcf, 0x61, 0x64, 0xa4, 0xaa, 0x0a, 0x1a, 0x25,
	0x41, 0xf6, 0x38, 0xef, 0x1a, 0x42, 0x61, 0x4f, 0xf1, 0xfb, 0x5a, 0x72, 0x41, 0x63, 0x77, 0xbe,
	0x69, 0xc9, 0x01, 0x44, 0x77, 0x52, 0xd3, 0x51, 0x12, 0x64, 0xa3, 0xdc, 0x96, 0xe9, 0x0c, 0x4e,
	0x76, 0x28, 0x7b, 0x23, 0x4f, 0x21, 0xac, 0x04, 0x0d, 0x9c, 0x6c, 0x58, 0x89, 0xf4, 0x06, 0x8e,
	0x7a, 0xd4, 0x05, 0xd6, 0x58, 0x18, 0xd9, 0xf6, 0xa9, 0x84, 0x40, 0x5c, 0x89, 0x0f, 0x0d, 0x0d,
	0x93, 0x28, 0x9b, 0xe4, 0xae, 0xde, 0x72, 0x12, 0xfd, 0xdd, 0x49, 0xbc, 0xe5, 0x24, 0xfd, 0x01,
	0x87, 0x57, 0x2b, 0xc3, 0x0d, 0x8a, 0x9e, 0xe6, 0xd6, 0x9c, 0xe0, 0x8f, 0x39, 0x14, 0xf6, 0x0a,
	0xe7, 0x47, 0x78, 0xd9, 0x4d, 0x6b, 0x91, 0x95, 0x12, 0x0e, 0x89, 0x3a, 0xc4, 0xb7, 0x16, 0x11,
	0x58, 0xa3, 0x45, 0xe2, 0x0e, 0xf1, 0x6d, 0xfa, 0x1d, 0x9e, 0xf5, 0x85, 0xfb, 0x26, 0xff, 0xdf,
	0xd3, 0x9c, 0xc1, 0x64, 0x61, 0x64, 0x8b, 0x17, 0xab, 0x5b, 0x65, 0xf3, 0x74, 0xfb, 0xcf, 0x3c,
	0x6d, 0x18, 0xa7, 0x3f, 0x43, 0x78, 0xf2, 0xc5, 0x0a, 0xea, 0x05, 0xb6, 0xeb, 0xaa, 0x40, 0x72,
	0x09, 0xe3, 0xee, 0x9d, 0xc9, 0x09, 0x1b, 0x8a, 0xda, 0xf4, 0x25, 0x1b, 0xce, 0xc3, 0x1c, 0xa2,
	0x4b, 0x34, 0x84, 0xb2, 0x1d, 0x29, 0x98, 0x3e, 0xb8, 0x17, 0x79, 0x07, 0xb1, 0x5d, 0x95, 0x81,
	0x6f, 0x8e, 0xd9, 0xd0, 0x2e, 0xbd, 0x85, 0xf1, 0x85, 0x7b, 0x90, 0x81, 0x09, 0x47, 0x6c, 0x47,
	0x50, 0x3e, 0xc3, 0xe8, 0x7c, 0x89, 0xc5, 0x0d, 0x49, 0x99, 0x5d, 0x67, 0xe6, 0x97, 0x78, 0x3d,
	0x67, 0xef, 0x5d, 0xe5, 0xc0, 0x8d, 0xf9, 0x57, 0x83, 0x9c, 0xee, 0x3a, 0x5f, 0xc7, 0xee, 0x07,
	0xf0, 0xe6, 0x57, 0x00, 0x00, 0x00, 0xff, 0xff, 0xd5, 0x37, 0x28, 0xe5, 0x4a, 0x04, 0x00, 0x00,
}
